#include <myx/qt/posix_signal_watcher.hpp>

#include <QCoreApplication>
#include <QDebug>

namespace MQ = myx::qt;

int main( int argc, char* argv[] )
{
	QCoreApplication app( argc, argv );
	qDebug() << "Hello from process" << QCoreApplication::applicationPid();

	MQ::PosixSignalWatcher sigwatch;
	sigwatch.watchForSignal( SIGINT );
	sigwatch.watchForSignal( SIGTERM );
	QObject::connect( &sigwatch, &MQ::PosixSignalWatcher::posixSignal, &app, &QCoreApplication::quit );

	int exitcode = QCoreApplication::exec();
	qDebug() << "Goodbye";
	return( exitcode );
}
