#ifndef MYX_CORE_LIMITS_HPP_
#define MYX_CORE_LIMITS_HPP_

#pragma once

#include <limits>

namespace myx {

namespace core {

/**
 * @brief Константа, представляющая значение, не являющееся числом, для типа float
 */
constexpr float kFloatNAN       { std::numeric_limits< float >::quiet_NaN() };

/**
 * @brief Константа, представляющая значение, не являющееся числом, для типа double
 */
constexpr double kDoubleNAN     { std::numeric_limits< double >::quiet_NaN() };

/**
 * @brief Константа, представляющая значение, не являющееся числом, для типа long double
 */
constexpr double kLongDoubleNAN { std::numeric_limits< long double >::quiet_NaN() };

} // namespace core

} // namespace myx

#endif // MYX_CORE_LIMITS_HPP_
